[Lenovo Thinkpad t440s] Touchpad periodically stops working

Bug #1268365 reported by Jon Vaughan on 2014-01-12
28
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

Every 15 minutes or so, the cursor stops reacting to input from the touchpad or trackpoint. Unfortunately this machine has a "clickpad" instead of separate buttons and so it is impossible to use the machine without the touchpad, which means that Ubuntu is virtually unusable. In Windows on the same machine there is no problem. In syslog you see:
Jan 12 19:08:43 mv8 kernel: [ 8460.304134] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 12 19:08:43 mv8 kernel: [ 8460.305321] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 12 19:08:43 mv8 kernel: [ 8460.306606] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 12 19:08:43 mv8 kernel: [ 8460.307792] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 12 19:08:43 mv8 kernel: [ 8460.309002] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1

WORKAROUND: sudo rmmod psmouse
sudo modprobe psmouse

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: linux-image-3.11.0-15-generic 3.11.0-15.23
ProcVersionSignature: Ubuntu 3.11.0-15.23-generic 3.11.10
Uname: Linux 3.11.0-15-generic x86_64
ApportVersion: 2.12.5-0ubuntu2.2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: jon 2119 F.... pulseaudio
 /dev/snd/controlC0: jon 2119 F.... pulseaudio
Date: Sun Jan 12 19:42:27 2014
HibernationDevice: RESUME=UUID=b5d52deb-2d98-4e2e-bdd1-c34a0bd2d9f6
InstallationDate: Installed on 2013-12-04 (38 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MachineType: LENOVO 20AQCTO1WW
MarkForUpload: True
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-15-generic.efi.signed root=UUID=c0877b82-2224-438f-be5b-11b343943067 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.11.0-15-generic N/A
 linux-backports-modules-3.11.0-15-generic N/A
 linux-firmware 1.116
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/12/2013
dmi.bios.vendor: LENOVO
dmi.bios.version: GJET64WW (2.14 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20AQCTO1WW
dmi.board.vendor: LENOVO
dmi.board.version: 0B98401 PRO
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrGJET64WW(2.14):bd11/12/2013:svnLENOVO:pn20AQCTO1WW:pvrThinkPadT440s:rvnLENOVO:rn20AQCTO1WW:rvr0B98401PRO:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 20AQCTO1WW
dmi.product.version: ThinkPad T440s
dmi.sys.vendor: LENOVO

Jon Vaughan (jsvaughan) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
description: updated
description: updated
tags: added: bios-outdated-2.17 needs-trusty-test
Changed in linux (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
summary: - Thinkpad t440s touchpad / trackpoint periodically stop working
+ [Lenovo Thinkpad t440s] Touchpad periodically stops working
Jon Vaughan (jsvaughan) wrote :

That is an excellent spot, and I apologise - I had recently updated the bios using the lenovo updater utility but it doesn't see this version.

So I am now:

jon@mv8:~$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-dateGJET67WW (2.17 )
12/10/2013
jon@mv8:~$ date
Sun Jan 12 23:16:56 GMT 2014

However the problem is still happening:

Jan 12 23:17:18 mv8 kernel: [ 512.481785] psmouse serio1: bad data from KBC - timeout
Jan 12 23:17:18 mv8 kernel: [ 512.493712] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 4
Jan 12 23:17:18 mv8 kernel: [ 512.494953] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 12 23:17:18 mv8 kernel: [ 512.496202] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 12 23:17:18 mv8 kernel: [ 512.497429] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 12 23:17:18 mv8 kernel: [ 512.498691] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 12 23:17:18 mv8 kernel: [ 512.498701] psmouse serio1: issuing reconnect request

Jon Vaughan, thank you for updating your BIOS. Could you please confirm this issue exists with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, please just make a comment to this.

If reproducible, could you also please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc7

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: latest-bios-2.17
removed: bios-outdated-2.17
tags: added: needs-upstream-testing
Jon Vaughan (jsvaughan) wrote :
Download full text (6.8 KiB)

I am able to recreate this using the latest trusty build

ubuntu@ubuntu:~$ uname -a
Linux ubuntu 3.13.0-5-generic #20-Ubuntu SMP Mon Jan 20 19:56:38 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
ubuntu@ubuntu:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu Trusty Tahr (development branch)
Release: 14.04
Codename: trusty

less /var/log/syslog

Jan 29 20:55:43 ubuntu kernel: [ 201.601870] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 20:55:43 ubuntu kernel: [ 201.603078] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 20:55:43 ubuntu kernel: [ 201.604266] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 20:55:43 ubuntu kernel: [ 201.605523] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 20:55:43 ubuntu kernel: [ 201.613100] psmouse serio1: TouchPad at isa0060/serio1/input0 - driver resynced.
Jan 29 20:55:58 ubuntu kernel: [ 216.595214] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 20:55:58 ubuntu kernel: [ 216.596459] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 20:55:58 ubuntu kernel: [ 216.597663] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 20:55:58 ubuntu kernel: [ 216.598973] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 20:55:58 ubuntu kernel: [ 216.600205] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 20:55:58 ubuntu kernel: [ 216.600216] psmouse serio1: issuing reconnect request
Jan 29 20:55:58 ubuntu kernel: [ 216.953279] psmouse serio1: synaptics: Unable to query device.
Jan 29 20:55:58 ubuntu kernel: [ 216.955470] psmouse serio1: Failed to deactivate mouse on isa0060/serio1
Jan 29 20:55:59 ubuntu kernel: [ 217.261069] psmouse serio1: synaptics: Unable to query device.
Jan 29 20:55:59 ubuntu kernel: [ 217.332508] input: PS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input22
Jan 29 20:55:59 ubuntu kernel: [ 217.899118] psmouse serio1: synaptics: Touchpad model: 1, fw: 8.1, id: 0x1e2b1, caps: 0xd001a3/0x164/0x127c00, board id: 2668, fw id: 1293989
Jan 29 20:55:59 ubuntu kernel: [ 217.899136] psmouse serio1: synaptics: serio: Synaptics pass-through port at isa0060/serio1/input0
Jan 29 20:55:59 ubuntu kernel: [ 217.941724] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input24
Jan 29 20:56:02 ubuntu kernel: [ 220.951374] psmouse serio4: Failed to deactivate mouse on synaptics-pt/serio0
Jan 29 20:56:02 ubuntu kernel: [ 220.954454] psmouse serio4: Failed to enable mouse on synaptics-pt/serio0
Jan 29 20:56:03 ubuntu kernel: [ 221.752074] input: PS/2 Generic Mouse as /devices/platform/i8042/serio1/serio4/input/input25
Jan 29 20:56:04 ubuntu kernel: [ 222.406376] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 20:56:04 ubuntu kernel: [ 222.407657] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 20:56:04 ubuntu kernel: [ 222.408896] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 20:56:...

Read more...

tags: added: trusty
removed: needs-trusty-test
Jon Vaughan (jsvaughan) wrote :
Download full text (4.4 KiB)

And I am able to recreate it with the latest KernelMainlineBuild

jon@mv8:~$ uname -a
Linux mv8 3.13.1-031301-generic #201401291035 SMP Wed Jan 29 15:37:43 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
jon@mv8:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 13.10
Release: 13.10
Codename: saucy

Jan 29 21:22:19 mv8 kernel: [ 96.480276] psmouse serio1: bad data from KBC - timeout bad parity
Jan 29 21:22:19 mv8 kernel: [ 96.495639] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 21:22:19 mv8 kernel: [ 96.495644] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 21:22:19 mv8 kernel: [ 96.496888] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 21:22:55 mv8 whoopsie[1061]: online
Jan 29 21:23:34 whoopsie[1061]: last message repeated 3 times
Jan 29 21:23:35 mv8 whoopsie[1061]: online
Jan 29 21:24:05 mv8 kernel: [ 202.684696] psmouse serio1: synaptics: Touchpad model: 1, fw: 8.1, id: 0x1e2b1, caps: 0xd001a3/0x940300/0x127c00, board id: 2668, fw id: 1293989
Jan 29 21:24:05 mv8 kernel: [ 202.684704] psmouse serio1: synaptics: serio: Synaptics pass-through port at isa0060/serio1/input0
Jan 29 21:24:05 mv8 kernel: [ 202.726174] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input19
Jan 29 21:24:08 mv8 kernel: [ 205.881928] psmouse serio4: alps: Unknown ALPS touchpad: E7=10 00 64, EC=10 00 64
Jan 29 21:24:10 mv8 kernel: [ 207.297159] psmouse serio4: trackpoint: IBM TrackPoint firmware: 0x0e, buttons: 3/3
Jan 29 21:24:10 mv8 kernel: [ 207.523781] input: TPPS/2 IBM TrackPoint as /devices/platform/i8042/serio1/serio4/input/input20
Jan 29 21:25:13 mv8 whoopsie[1061]: online
Jan 29 21:25:42 mv8 whoopsie[1061]: online
Jan 29 21:25:42 mv8 kernel: [ 299.401738] psmouse serio1: bad data from KBC - timeout
Jan 29 21:25:43 mv8 whoopsie[1061]: online
Jan 29 21:26:22 mv8 kernel: [ 339.333846] psmouse serio1: bad data from KBC - timeout
Jan 29 21:26:22 mv8 kernel: [ 339.342871] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 4
Jan 29 21:26:22 mv8 kernel: [ 339.364642] psmouse serio1: TouchPad at isa0060/serio1/input0 - driver resynced.
Jan 29 21:26:22 mv8 kernel: [ 339.369183] psmouse serio1: bad data from KBC - timeout
Jan 29 21:26:23 mv8 kernel: [ 340.150697] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 4
Jan 29 21:26:23 mv8 kernel: [ 340.151975] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 21:26:23 mv8 kernel: [ 340.153185] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 21:26:23 mv8 kernel: [ 340.155278] psmouse serio1: bad data from KBC - timeout
Jan 29 21:26:23 mv8 kernel: [ 340.157253] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Jan 29 21:26:23 mv8 kernel: [ 340.170949] psmouse serio1: TouchPad at isa0060/serio1/input0 - driver resynced.
Jan 29 21:26:23 mv8 kernel: [ 340.796844] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 4
Jan 29 21:26:23 mv8 kernel: [ 340.798077] psmouse serio1: TouchPad at isa0060/serio1/input0 lost sync at byte 1
Ja...

Read more...

Jon Vaughan, thank you for performing the requested tests. Did this problem not occur in a release prior to Saucy?

tags: added: kernel-bug-exists-upstream-3.13
removed: needs-upstream-testing
Jon Vaughan (jsvaughan) wrote :

This is a brand new laptop, so I haven't installed any earlier release

Jon Vaughan, the issue you are reporting is an upstream one. Could you please report this problem through the appropriate channel by following the instructions _verbatim_ at https://wiki.ubuntu.com/Bugs/Upstream/kernel ?

Please provide a direct URL to your e-mail to the mailing list once you have made it so that it may be tracked.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Incomplete → Triaged
Emil (emil-vanherp) wrote :

Are you sure it's not a hardware issue? This discussion seems to indicate it's a hardware problem http://www.spinics.net/lists/linux-input/msg28623.html . Only Windows 8 is for some strange reason not affected.
I do have the same problem with Arch Linux and Windows 7.

While I'm not running Ubuntu, I can confirm that I had saw the same issues with my T440s and it was a matter of the touchpad cable becoming disconnected/connected when the "one button touchpad" is pressed. If you only see the errors when you press the touchpad button, it's fair to say we have the same issue.

You'll need to have the touchpad cable adjusted so that it always stays connected to the touchpad. In the interest of being able to provide further updates on how to fix this issue, please see this Ask Ubuntu answer:
http://askubuntu.com/questions/401072/touchpad-sometimes-not-working-after-click-on-thinkpad-t440s/417135?stw=2#417135

Jon Vaughan (jsvaughan) wrote :

Thanks for the last two comments - I got in touch with Jeroen who posted the spinics forum post, and he said that the best way to confirm the problem was to either boot into Windows 8 safe mode or boot Windows 7 from USB and see what happened there.

Under Windows 8 safe mode there was no perceptible problem but as soon as I booted Windows 7 it was clear that there was an issue, and the cursor set off uncontrollably after a few seconds use.

I called Lenovo and yesterday they fitted a new keyboard bezel (which contains a new trackpad) and over a few hours use yesterday I have had no further "lost sync" messages. This was definitely a hardware issue and I'd like to thank everyone for their help in sorting it out.

Jon Vaughan, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1268365/comments/13 regarding this being due to hardware failure. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in linux (Ubuntu):
status: Triaged → Invalid
Daniel B. (bradan) wrote :

It also happens here using a Thinkpad Helix. It started at the end of Octrober or in November until I updated the system. It is not a hardware problem, as it works as it should on windows and it worked before that date and before I updated with Ubuntu also.

Daniel B., thank you for your comment. Unfortunately, as this bug report is closed, this bug report is not scoped to you, your hardware, or your problem. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
https://wiki.ubuntu.com/Kernel/Policies/DuplicateBugs
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers